<template>
    <aside>
      <div class="userInfo">
          <div class="userIcon">
              <img src="../assets/userIcon.svg" alt="">
          </div>
          <div class="userText">
              <p>Welcome, <span>Admin</span></p>
          </div>
      </div>
      <div class="menuItems">
          <ul>
              <li @click="openStudents()" :class="{'active': activeTab===1}">Users</li>
              <li @click="openSubjects()" :class="{'active': activeTab===2}">Subjects</li>
          </ul>
      </div>
      <div class="logOut">
          <button @click="backToLogin()">LOGOUT</button>
      </div>
    </aside>
</template>

<script>
import router from '../routes.js'

export default {
  data () {
    return {
      activeTab: 1
    }
  },
  methods: {

    openStudents () {
      this.$router.push({name: 'Dashboard.Students'});
      this.activeTab = 1;
    },

    openSubjects () {
      this.$router.push({name: 'Dashboard.Subjects'});
      this.activeTab = 2;
    },

    backToLogin() {
      this.$router.push({name: 'Login'})
    }
  }
}

</script>
